/*
Gwenview - A simple image viewer for KDE
Copyright (C) 2000-2002 Aurlien Gteau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

// QT
#include <qpixmap.h>

// KDE
#include <kdebug.h>
#include <kfileviewitem.h>

// Ours
#include "imagefilereader.h"

bool ImageFileReader::matchesFilter(const KFileItem* paramItem) const {
	KFileViewItem* item=(KFileViewItem*)paramItem;

// Check that it's a file
	if (!item->isFile()) {
		return false;
	}
	
// Check that file is an image
	if (QPixmap::imageFormat(item->url().path())==NULL) {
		return false;
	}
	
// If it's an image, init its file type
	item->determineMimeType();
	return true;
}
